org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class PropertyKeyStep

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapStep<S,E>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ScalarMapStep<Property,String>
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PropertyKeyStep

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<String>>, Step<Property,String>

      public final class PropertyKeyStep
      extends ScalarMapStep<Property,String>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyKeyStep(Traversal.Admin traversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<TraverserRequirement>` | `getRequirements()` Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly.
    `protected String` | `map(Traverser.Admin<Property> traverser)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ScalarMapStep

      `processNextStart`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hashCode, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### PropertyKeyStep

          public PropertyKeyStep(Traversal.Admin traversal)

  - ### Method Detail

    - #### map

          protected String map(Traverser.Admin<Property> traverser)

      Specified by:
        `map` in class `ScalarMapStep<Property,String>`

    - #### getRequirements

          public Set<TraverserRequirement> getRequirements()

      Description copied from interface: `Step`
      Provide the necessary `TraverserRequirement` that must be met by the traverser in order for the step to function properly. The provided default implements returns an empty set.
      Returns:
        the set of requirements

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.